[h5py] 05/08: Add autopkgtest testsuite.

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Sun Jan 24 11:54:26 UTC 2016


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch debian/sid
in repository h5py.

commit b76d0aadc4a792e9e809c7c4381ede6aa9d920b3
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Sun Jan 24 09:51:35 2016 +0000

    Add autopkgtest testsuite.
---
 debian/control       |  1 +
 debian/tests/control | 11 +++++++++++
 debian/tests/python2 | 13 +++++++++++++
 debian/tests/python3 | 13 +++++++++++++
 4 files changed, 38 insertions(+)

diff --git a/debian/control b/debian/control
index 99ef2e8..fa99896 100644
--- a/debian/control
+++ b/debian/control
@@ -3,6 +3,7 @@ Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.
 Uploaders: Soeren Sonnenburg <sonne at debian.org>,
            Ghislain Antony Vaillant <ghisvail at gmail.com>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cython (>= 0.17-1~),
                cython-dbg (>= 0.17-1~),
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..453e992
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: python2
+Depends: python-all,
+         python-all-dbg,
+         python-h5py,
+         python-h5py-dbg
+
+Tests: python3
+Depends: python3-all,
+         python3-all-dbg,
+         python3-h5py,
+         python3-h5py-dbg
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100755
index 0000000..6deb124
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(pyversions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -c "import h5py; h5py.run_tests()" 2>&1
+	echo "=== $py-dbg ==="
+	$py-dbg -c "import h5py; h5py.run_tests()" 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..3b0c521
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+	echo "=== $py ==="
+	$py -c "import h5py; h5py.run_tests()" 2>&1
+	echo "=== $py-dbg ==="
+	$py-dbg -c "import h5py; h5py.run_tests()" 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/h5py.git



More information about the debian-science-commits mailing list